summaryrefslogtreecommitdiff
path: root/development/boost-bindings/boost-bindings.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/boost-bindings/boost-bindings.SlackBuild')
-rw-r--r--development/boost-bindings/boost-bindings.SlackBuild54
1 files changed, 54 insertions, 0 deletions
diff --git a/development/boost-bindings/boost-bindings.SlackBuild b/development/boost-bindings/boost-bindings.SlackBuild
new file mode 100644
index 0000000000..073edf2cec
--- /dev/null
+++ b/development/boost-bindings/boost-bindings.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# Slackware build script for Boost Bindings
+
+# Written by Aleksandar Samardzic <asamardzic@gmail.com>
+
+NAME=boost-numeric-bindings
+PRGNAM=boost-bindings
+VERSION=${VERSION:-20080816}
+ARCH=noarch
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $NAME
+tar xvf $CWD/$NAME-$VERSION.tar.gz
+cd $NAME
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# The makefile is installing into the "boost-numeric-bindings"
+# subdirectory of the "include" directory under install root, which is
+# changed here to install directly into the "include" directory, for
+# better integration with the Boost library header files (supposedly
+# also installed into the "include" directory under install root).
+ sed -i 's|/boost-numeric-bindings/|/|' Makefile.in
+
+# Normally, this is bad, but since we're just installing headers, it's okay.
+./configure --prefix=$PKG/usr
+make
+make install
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE_1_0.txt README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz